<div class="recipe-type-chooser">
  <div class="recipe-type-chooser__item">
    <ng-miam-icon height='128' width='128' [iconName]='icon.Starter'
      [primaryColor]="choosedType === 'entrée' ? 'white' : 'var(--m-color-primary)'"
      [secondaryColor]="choosedType === 'entrée' ? 'var(--m-color-primary)' :'transparent'" (click)="choosed('entrée')">
    </ng-miam-icon>
    <span [ngStyle]="{'font-weight': choosedType === 'entrée' ? 'bold' : 'normal'}">Une entrée</span>
  </div>
  <div class="recipe-type-chooser__item">
    <ng-miam-icon height='128' width='128'
      [primaryColor]="choosedType === 'plat principal' ?  'white' : 'var(--m-color-primary)'"
      [secondaryColor]="choosedType === 'plat principal' ?  'var(--m-color-primary)' :'transparent'"
      [iconName]='icon.MainDish' (click)="choosed('plat principal')"></ng-miam-icon>
    <span [ngStyle]="{'font-weight': choosedType === 'plat principal' ? 'bold' : 'normal'}">Un plat principal</span>
  </div>
  <div class="recipe-type-chooser__item">
    <ng-miam-icon height='128' width='128' [iconName]='icon.Dessert'
      [primaryColor]="choosedType === 'dessert' ?  'white' : 'var(--m-color-primary)'"
      [secondaryColor]="choosedType === 'dessert' ? 'var(--m-color-primary)' :'transparent'"
      (click)="choosed('dessert')"></ng-miam-icon>
    <span [ngStyle]="{'font-weight': choosedType === 'dessert' ? 'bold' : 'normal'}">Un dessert</span>
  </div>
</div>